/* gndbm.h  -  The include file for ndbm users.  */

/*  GNU DBM  - DataBase Manager (database subroutines) by Philip A. Nelson
    Copyright (C) 1989  Free Software Foundation, Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    You may contact the author by:
       e-mail:  phil@wwu.edu
      us-mail:  Philip A. Nelson
                Computer Science Department
                Western Washington University
                Bellingham, WA 98226
        phone:  (206) 676-3035
       
*************************************************************************/

/* Parameters to gdbm_store for simple insertion or replacement. */
#define  DBM_INSERT  0
#define  DBM_REPLACE 1


/* The data and key structure.  This structure is defined for compatibility. */
typedef struct {
	char *dptr;
	int   dsize;
      } datum;


/* The file information header. This is good enough for most applications. */
typedef struct {int dummy[10];} DBM;


/* These are the routines (with some macros defining them!) */

extern DBM 	*dbm_open ();

extern void	 gdbm_close (); 

#define		 dbm_close(dbf)  gdbm_close(dbf)

extern datum	 dbm_fetch ();

extern int	 dbm_store ();

extern int	 gdbm_delete ();

#define		 dbm_delete(dbf,key) gdbm_delete(dbf,key)

extern datum	 dbm_firstkey ();

extern datum	 dbm_nextkey ();

#define		 dbm_error(dbf)  0

#define		 dbm_clearerr(dbf)

