/* store.c - Add a new key/data pair to the database. */

/*  GNU DBM  - DataBase Manager (database subroutines) by Philip A. Nelson
    Copyright (C) 1989  Free Software Foundation, Inc.

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.

    You may contact the author by:
       e-mail:  phil@wwu.edu
      us-mail:  Philip A. Nelson
                Computer Science Department
                Western Washington University
                Bellingham, WA 98226
        phone:  (206) 676-3035
       
*************************************************************************/


#include <stdio.h>
#include <sys/types.h>
#include <sys/file.h>
#include <sys/stat.h>
#include "gdbmdefs.h"
#include "extern.h"


/* Add a new element to the database.  CONTENT is keyed by KEY.  The file on
   disk is updated to reflect the structure of the new database before returning
   from this procedure.  */

int
store (key, content)
     datum key;
     datum content;
{
  return gdbm_store (_gdbm_file, key, content, GDBM_REPLACE);
}



/* NDBM add a new element to the database.  CONTENT is keyed by KEY.  The file on
   disk is updated to reflect the structure of the new database before returning
   from this procedure.  */

int
dbm_store (dbf, key, content, flags)
     gdbm_file_info *dbf;
     datum key;
     datum content;
     int flags;
{
  return gdbm_store (dbf, key, content, flags);
}

